## com.imcode.imcms.servlet.admin
Class DocumentCreator

    java.lang.Object
      com.imcode.imcms.servlet.admin.DocumentCreator

    public class DocumentCreator

extends java.lang.Object

Constructor Summary
`DocumentCreator(DocumentPageFlow.SaveDocumentCommand saveDocumentCommand, DispatchCommand returnCommand, javax.servlet.ServletContext servletContext)`

Method Summary
`void` `createDocumentAndDispatchToCreatePageFlow(int documentTypeId, DocumentDomainObject parentDocument, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `setTemplate(TemplateDomainObject template)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentCreator

    public DocumentCreator(DocumentPageFlow.SaveDocumentCommand saveDocumentCommand,
                           DispatchCommand returnCommand,
                           javax.servlet.ServletContext servletContext)

Method Detail

### createDocumentAndDispatchToCreatePageFlow

    public void createDocumentAndDispatchToCreatePageFlow(int documentTypeId,
                                                          DocumentDomainObject parentDocument,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.io.IOException,
                                                          javax.servlet.ServletException,
                                                          NoPermissionToCreateDocumentException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`
    `NoPermissionToCreateDocumentException`

### setTemplate

    public void setTemplate(TemplateDomainObject template)